Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3
Class Substitutor

    java.lang.Object
      org.apache.commons.digester3.Substitutor

Direct Known Subclasses:
  CompoundSubstitutor, VariableSubstitutor

    public abstract class Substitutor

extends Object

(Logical) Interface for substitution strategies. (It happens to be implemented as a Java abstract class to allow future additions to be made without breaking backwards compatibility.)

Usage: When `Digester.setSubstitutor(org.apache.commons.digester3.Substitutor)` is set, `Digester` calls the methods in this interface to create substitute values which will be passed into the Rule implementations. Of course, it is perfectly acceptable for implementations not to make substitutions and simply return the inputs.

Different strategies are supported for attributes and body text.

Since:
  1.6

Constructor Summary
`Substitutor()`

Method Summary
`abstract Attributes` | `substitute(Attributes attributes)` Substitutes the attributes (before they are passed to the `Rule` implementations's).
`abstract String` | `substitute(String bodyText)` Substitutes for the body text.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Substitutor

    public Substitutor()

Method Detail

### substitute

    public abstract Attributes substitute(Attributes attributes)

  Substitutes the attributes (before they are passed to the `Rule` implementations's).

  `Digester` will only call this method a second time once the original `Attributes` instance can be safely reused. The implementation is therefore free to reuse the same `Attributes` instance for all calls.

  Parameters:
    `attributes` - the `Attributes` passed into `Digester` by the SAX parser, not null (but may be empty)
  Returns:
    `Attributes` to be passed to the `Rule` implementations. This method may pass back the Attributes passed in. Not null but possibly empty.

### substitute

    public abstract String substitute(String bodyText)

  Substitutes for the body text. This method may substitute values into the body text of the elements that Digester parses.

  Parameters:
    `bodyText` - the body text (as passed to `Digester`)
  Returns:
    the body text to be passed to the `Rule` implementations

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.